#ifndef _KGR_PATCH_BSC1159913_H
#define _KGR_PATCH_BSC1159913_H

int kgr_patch_bsc1159913_init(void);
void kgr_patch_bsc1159913_cleanup(void);


struct wiphy;
struct net_device;
struct station_parameters;
struct sta_info;
enum ieee80211_sta_state;

int kgrp_ieee80211_add_station(struct wiphy *wiphy, struct net_device *dev,
				 const u8 *mac,
				 struct station_parameters *params);

int kgrp_ieee80211_change_station(struct wiphy *wiphy,
				    struct net_device *dev, const u8 *mac,
				    struct station_parameters *params);

int kgrp_sta_info_move_state(struct sta_info *sta,
			enum ieee80211_sta_state new_state);

#define KGR_PATCH_BSC1159913_FUNCS					\
	KGR_PATCH_OBJ(ieee80211_add_station,				\
		      kgrp_ieee80211_add_station, "mac80211"),		\
	KGR_PATCH_OBJ(ieee80211_change_station,			\
		      kgrp_ieee80211_change_station, "mac80211"),	\
	KGR_PATCH_OBJ(sta_info_move_state,				\
		      kgrp_sta_info_move_state, "mac80211"),		\


#endif /* _KGR_PATCH_BSC1159913_H */
